#include <bits/stdc++.h>
using namespace std;
ifstream f1("BAI3_18.inp");
ofstream f2("BAI3_18.out");
string x;
long long k,so,i,j;
char a[10000000];
int main()
{
    f1>>k;
    f1>>x;
    so=x.length();
    if(k<so){
    for(i=0;i<so;i++){
        if(i<=k){
            a[i]=x[i];
        }
    }
    for(i=k+1;i<so;i++){
        f2<<x[i];
    }
    for(i=0;i<=k;i++){
        f2<<a[i];
    }
    }
    if(k>=so){
        k=k%so;
        for(i=0;i<so;i++){
        if(i<=k){
            a[i]=x[i];
        }
    }
    for(i=k+1;i<so;i++){
        f2<<x[i];
    }
    for(i=0;i<=k;i++){
        f2<<a[i];
    }
    }
    f1.close();
    f2.close();
}
